## Apache Zeta Components Manual :: Docs For Class ezcConsoleOutputFormat

### ConsoleTools::ezcConsoleOutputFormat

### Class ezcConsoleOutputFormat

Struct class to store formating entities used by ezcConsoleOutput.

Struct class to store formating entities used by ezcConsoleOutput.

Possible values of ezcConsoleOutputFormat::$color are:

- gray
- red
- green
- yellow
- blue
- magenta
- cyan
- white
- default (representing the consoles default color)

For ezcConsoleOutputFormat::$bgcolor the following values are valid:

- black
- red
- green
- yellow
- blue
- magenta
- cyan
- white
- default (representing the consoles default background color)

The ezcConsoleOutputFormat::$style attribute takes an array of (possibly) multiple attributes. Choose from the lists below:

- default (resets all attributes to default)

- bold
- faint
- normal

- italic
- notitalic

- underlined
- doubleunderlined
- notunderlined

- blink
- blinkfast
- noblink

- negative
- positive

Source for this file: /ConsoleTools/src/structs/output_format.php

Version: | //autogen//

### Properties

string | read/write | `$bgcolor` Contains the background color for this format.
string | read/write | `$color` Contains the color for this format.
array(string) | read/write | `$style` Contains the lists of styles that are associated with this format.
string | read/write | `$target` Contains the output target to use. Pick one of ezcConsoleOutput::TARGET_OUTPUT, ezcConsoleOutput::TARGET_STDOUT or ezcConsoleOutput::TARGET_STDERR.

### Member Variables

protected array(string=>mixed) | `$properties = array( 'color' => 'default', 'style' => array( 'default' ),'bgcolor'=>'default','target'=>ezcConsoleOutput::TARGET_OUTPUT,)` Container to hold the properties

### Method Summary

public ezcConsoleOutputFormat | `__construct( [ $color = 'default'] , [ $style = null] , [ $bgcolor = 'default'] , [ $target = ezcConsoleOutput::TARGET_OUTPUT] )` Create a new ezcConsoleOutputFormat object.

### Methods

#### __construct

ezcConsoleOutputFormat __construct( [string $color = 'default'] , [ $style = null] , [string $bgcolor = 'default'] , [string $target = ezcConsoleOutput::TARGET_OUTPUT] )

Create a new ezcConsoleOutputFormat object.

Creates a new object of this class.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$color` | string | Name of a color value.
`$style` | array(string) | Names of style values.
`$bgcolor` | string | Name of a bgcolor value.
`$target` | string | Target output stream.

Documentation generated by phpDocumentor 1.4.3